## rustc 1.82.0+dfsg1

=== debian/changelog ===
rustc (1.82.0+dfsg1-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.
  [changes introduced in 1.42.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Use the compiler itself rather than dpkg to detect DEB_BUILD_RUST_TYPE
  [changes introduced in 1.57.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Disable testsuite for arch all builds as well.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 12 Nov 2024 11:22:52 +0000

rustc (1.82.0+dfsg1-2) unstable; urgency=medium

  * build: re-enable clang-rt on armel/armhf
  * build: drop workaround for riscv64/loong64

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 29 Oct 2024 13:18:35 +0100

rustc (1.82.0+dfsg1-1) unstable; urgency=medium

  * rust-src: ship original Cargo.lock file to fix rust-analyzer for libstd,
    and allow `-Z build-std`
  * build: disable profiler support on armel/armhf
  * build: extend riscv64 workaround to loong64
  * cargo wrapper: fix LTO position in argument lists (Closes: #1086025)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 25 Oct 2024 16:21:38 +0200

rustc (1.82.0+dfsg1-1~exp3) experimental; urgency=medium

  * conditonalize riscv64 workaround
  * fix or disable more broken tests

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 23 Oct 2024 20:39:25 +0200

rustc (1.82.0+dfsg1-1~exp2) experimental; urgency=medium

  * fix some test breakage
  * riscv64: unbreak compiler_builtin build

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 23 Oct 2024 18:03:55 +0200

rustc (1.82.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * New wasi-libc version 0.0~git20240708.3f43ea9
  * switch to LLVM 19
  * set LLVM profiler RT path via config
  * update bootstrap git commit info patch
  * re-instate bootstrap test config patch
  * make rust-src cleanup more robust

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 22 Oct 2024 11:17:40 +0200

>>>>>>> 1.82.0+dfsg1-2

=== debian/control ===
Source: rustc
Section: devel
Priority: optional
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo:native (>= 1.81.0+dfsg)      <!pkg.rustc.dlstage0>,
 rustc:native (>= 1.81.0+dfsg) <!pkg.rustc.dlstage0>,
 rustc:native (<= 1.82.0++)    <!pkg.rustc.dlstage0>,
 llvm-19-dev:native,
 llvm-19-tools:native,
 gcc-mingw-w64-x86-64-posix:native [amd64] <!nowindows>,
 gcc-mingw-w64-i686-posix:native [i386] <!nowindows>,
 libllvm19 (>= 1:19.0.0),
 libclang-rt-19-dev:native,
 libclang-rt-19-dev,
 cmake (>= 3.0),
# needed by some vendor crates
 pkgconf:native,
 pkgconf,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# used by cargo
 bash-completion,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libssh2-1-dev,
 libssl-dev,
 libsqlite3-dev,
 libgit2-dev (>= 1.8.1),
 libgit2-dev (<< 1.9~~),
 libhttp-parser-dev,
 libonig-dev,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
# temporarily disabled cause of #1066794 / t64 transition
 git <!nocheck>,
 procps <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 wasi-libc (>= 0.0~git20240708.3f43ea9~~) <!nowasm>,
 wasi-libc (<= 0.0~git20240708.3f43ea9++) <!nowasm>,
 clang-19:native,
# see #1057780, gdb now Conflicts gdb-minimal
#Build-Conflicts: gdb-minimal <!nocheck>
Standards-Version: 4.7.0
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust

Package: rustc
Architecture: any
Multi-Arch: allowed
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-dev (= ${binary:Version}),
 gcc, libc-dev, binutils (>= 2.26)
Recommends:
 cargo (= ${binary:Version}),
# llvm is needed for llvm-dwp for -C split-debuginfo=packed
 rust-llvm,
Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~),
# temporary to force britney to not attempt bogus autopkgtest runs
 librust-cargo-c-dev (<< 0.10.3-1~),
 librust-git2-dev (<< 0.19.0-1~),
 librust-libgit2-sys-dev (<< 0.17.0-1~),
 librust-debcargo-dev (<< 2.7.1-2~),
Description: Rust systems programming language
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.

Package: libstd-rust-1.82
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rust standard libraries
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries, built as dylibs,
 needed to run dynamically-linked Rust programs (-C prefer-dynamic).

Package: libstd-rust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-1.82 (= ${binary:Version}),
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains development files for the standard Rust libraries,
 needed to compile Rust programs. It may also be installed on a system
 of another host architecture, for cross-compiling to this architecture.

Package: libstd-rust-dev-windows
Section: libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 gcc-mingw-w64-x86-64-posix [amd64],
 gcc-mingw-w64-i686-posix [i386],
Build-Profiles: <!nowindows>
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries including development files,
 needed to cross-compile Rust programs to the *-pc-windows-gnu target
 corresponding to the architecture of this package.

Package: libstd-rust-dev-wasm32
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
# Embeds wasi-libc so doesn't need to depend on it
# None of its licenses require source redistrib, so no need for Built-Using
Recommends:
 lld-19, clang-19,
Suggests:
# nodejs contains wasi-node for running the program
 nodejs (>= 12.16),
Build-Profiles: <!nowasm>
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries including development files,
 needed to cross-compile Rust programs to the wasm32-unknown-unknown and
 wasm32-wasip1/wasm32-wasip2 targets.

Package: rust-gdb
Architecture: all
Depends: gdb, ${misc:Depends}
Suggests: gdb-doc
Replaces: rustc (<< 1.1.0+dfsg1-1)
Description: Rust debugger (gdb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking gdb on rust binaries.

Package: rust-lldb
Architecture: all
# When updating, also update rust-lldb.links
Depends: lldb-19, ${misc:Depends}, python3-lldb-19
Replaces: rustc (<< 1.1.0+dfsg1-1)
Description: Rust debugger (lldb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking lldb on rust binaries.

Package: rust-llvm
Architecture: any
Breaks:
 rustc (<< 1.71.1+dfsg1-1~exp1),
 rustc-web (<< 1.71.1+dfsg1-1~exp1),
 rustc-mozilla (<< 1.71.1+dfsg1-1~exp1),
Replaces:
 rustc (<< 1.71.1+dfsg1-1~exp1),
 rustc-web (<< 1.71.1+dfsg1-1~exp1),
 rustc-mozilla (<< 1.71.1+dfsg1-1~exp1),
Depends: ${shlibs:Depends}, ${misc:Depends},
# lld and clang are needed for wasm compilation
 lld-19, clang-19,
# llvm is needed for llvm-dwp for split-debuginfo=packed
 llvm-19
Description: Rust LLVM integration
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains symlinks for integration with LLVM tools such as lld and
 grcov, and the wasm-component-ld helper binary for the wasm-wasip2 target.

Package: rust-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
 libjs-jquery, libjs-highlight.js, libjs-mathjax,
 fonts-open-sans, fonts-font-awesome
Recommends: cargo-doc
Description: Rust systems programming language - Documentation
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the Rust tutorial, language reference and
 standard library documentation.

Package: rust-src
Architecture: all
Depends: ${misc:Depends}
Description: Rust systems programming language - source code
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
include /usr/share/dpkg/architecture.mk
SED_VERSION_SHORT := sed -re 's/([^.]+)\.([^.]+)\..*/\1.\2/'
RUST_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | $(SED_VERSION_SHORT))
RUST_LONG_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -re 's/([^+]+).*/\1/')
LIBSTD_PKG := libstd-rust-$(RUST_VERSION)
# Sed expression that matches the "rustc" we have in our Build-Depends field
SED_RUSTC_BUILDDEP := sed -ne "/^Build-Depends:/,/^[^[:space:]\#]/{/^ *rustc:native .*,/p}" debian/control
# Version of /usr/bin/rustc
LOCAL_RUST_VERSION := $(shell rustc --version --verbose | sed -ne 's/^release: //p')

include /usr/share/dpkg/buildflags.mk
# needed for cross-compilation to avoid passing host CFLAGS to the BUILD
# compiler
export TARGET_CFLAGS = $(CFLAGS)
export TARGET_CXXFLAGS = $(CXXFLAGS)
export TARGET_CPPFLAGS = $(CPPFLAGS)
export TARGET_LDFLAGS = $(LDFLAGS)
unexport CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export CARGO_HOME = $(CURDIR)/debian/cargo

# Defines DEB_*_RUST_TYPE triples
include debian/architecture.mk
# for dh_install substitution variable
export DEB_HOST_RUST_TYPE

# for dh_install substitution variable
export RUST_LONG_VERSION

DEB_DESTDIR := $(CURDIR)/debian/tmp

# Use system LLVM (comment out to use vendored LLVM)
LLVM_VERSION = 19
OLD_LLVM_VERSION = 18
# Cargo-specific flags
export LIBSSH2_SYS_USE_PKG_CONFIG=1
# Make it easier to test against a custom LLVM
ifneq (,$(LLVM_DESTDIR))
LLVM_LIBRARY_PATH := $(LLVM_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(LLVM_DESTDIR)/usr/lib
LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(LLVM_LIBRARY_PATH),$(LLVM_LIBRARY_PATH))
export LD_LIBRARY_PATH
endif

# Required for profiler builtin
CLANG_RT_ARCH := $(DEB_TARGET_GNU_CPU)
ifeq (i386,$(DEB_TARGET_ARCH))
CLANG_RT_ARCH = i386
endif
ifeq (armhf,$(DEB_TARGET_ARCH))
CLANG_RT_ARCH = armhf
endif

ifneq (,$(filter $(DEB_TARGET_ARCH),sparc64 mips64el hurd-i386 hurd-amd64))
# sparc64: see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1061125
# mips64el: has profiler, but buggy atm (32-bit overflow in some counter?)
CLANG_RT_ARCH =
PROFILER = "false"
PROFILER_PATH = ""
else
PROFILER = "true"
PROFILER_PATH = profiler = \"/usr/lib/llvm-$(LLVM_VERSION)/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a\"
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
# rust-tidy depends on lots of modules that we strip out of the build.
# it also tries to access the network for some reason. so just disable it.
RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     RUSTBUILD_TEST_FLAGS="src/test/run-make --test-args extern-fn-struct"
# See src/bootstrap/README.md for more options.
RUSTBUILD_TEST_FLAGS =

# https://github.com/rust-lang/rust/issues/89744
# TODO: remove when we update cargo to 1.55 / 0.56
# upstream bug still exists and is under investigation, but is hidden by newer cargo
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=0

update-version:
	oldver=$(shell $(SED_RUSTC_BUILDDEP) | sed -ne 's/.*(<= \(.*\)).*/\1/gp' | $(SED_VERSION_SHORT)); \
	newver=$(RUST_VERSION); \
	debian/update-version.sh $$oldver $$newver $(RUST_LONG_VERSION) $(CARGO_NEW)

# Below we detect how we're supposed to bootstrap the stage0 compiler. See
# README.Debian for more details of the cases described below.
#
PRECONFIGURE_CHECK = :
HAVE_BINARY_TARBALL := $(shell ls -1 stage0/*/*$(DEB_HOST_RUST_TYPE)* 2>/dev/null | wc -l)
DOWNLOAD_BOOTSTRAP := false
# allow not using the binary tarball although it exists
#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 powerpc ppc64el s390x))
#  HAVE_BINARY_TARBALL := 0
#endif
ifeq (0,$(HAVE_BINARY_TARBALL))
    # Case A (Building from source): the extracted source tree does not include
    # a bootstrapping tarball for the current architecture e.g. because the
    # distro already has a rustc for this arch, or the uploader expects that
    # this requirement be fulfilled in some other way.
    #
    # Case A-1: the builder did not select the "pkg.rustc.dlstage0" build profile.
    # In this case, we use the distro's rustc - either the previous or current version.
    ifeq (,$(findstring pkg.rustc.dlstage0,$(DEB_BUILD_PROFILES)))
        # Make it easier to test against a custom rustc
        ifneq (,$(RUST_DESTDIR))
        RUST_LIBRARY_PATH := $(RUST_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(RUST_DESTDIR)/usr/lib
        LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(RUST_LIBRARY_PATH),$(RUST_LIBRARY_PATH))
        export LD_LIBRARY_PATH
        endif
    #
    # Case A-2: the builder selected the "dlstage0" build profile.
    # In this case, the rust build scripts will download a stage0 into stage0/ and use that.
    # We don't need to do anything specific in this build file, so this case is empty.
    else
        DOWNLOAD_BOOTSTRAP := true
    endif
else
    # Case B (Bootstrapping a new distro): the extracted source tree does
    # include a bootstrapping tarball for the current architecture; see the
    # `source_orig-stage0` target below on how to build this.
    #
    # In this case, we'll bootstrap from the stage0 given in that tarball.
    # To ensure the uploader of the .dsc didn't make a mistake, we first check
    # that rustc isn't a Build-Depends for the current architecture.
    ifneq (,$(shell $(SED_RUSTC_BUILDDEP)))
    ifeq (,$(shell $(SED_RUSTC_BUILDDEP) | grep '!$(DEB_HOST_ARCH)'))
        PRECONFIGURE_CHECK = $(error found matches for stage0/*/*$(DEB_HOST_RUST_TYPE)*, \
          but rustc might be a Build-Depends for $(DEB_HOST_ARCH))
    endif
    endif
endif

BUILD_DOCS := true
ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
  BUILD_DOCS := false
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOCS := false
endif

BUILD_WASM := true
# NOTE: drop wasm32-wasi with next upstream version, it's deprecated and will be removed soon
WASM_TARGETS := "wasm32-unknown-unknown,wasm32-wasip1,wasm32-wasip2,wasm32-wasi"
ifneq (,$(findstring nowasm,$(DEB_BUILD_PROFILES)))
  BUILD_WASM := false
endif

WINDOWS_SUPPORT := amd64 i386
BUILD_WINDOWS := true
ifneq (,$(findstring nowindows,$(DEB_BUILD_PROFILES)))
  BUILD_WINDOWS := false
endif
ifeq (,$(filter $(DEB_HOST_ARCH), $(WINDOWS_SUPPORT)))
  BUILD_WINDOWS := false
else
  ifeq (,$(filter $(DEB_BUILD_ARCH), $(WINDOWS_SUPPORT)))
    ifeq (true,$(BUILD_WINDOWS))
      $(error cannot cross-compile from $(DEB_BUILD_ARCH) to $(DEB_HOST_ARCH), unless "nowindows" is in DEB_BUILD_PROFILES)
    endif
  endif
  ifeq (i386,$(DEB_HOST_ARCH))
    WINDOWS_ARCH := i686
  else
    WINDOWS_ARCH := x86_64
  endif
endif
# for dh_install substitution variable
export WINDOWS_ARCH

MAKE_OPTIMISATIONS := true
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  MAKE_OPTIMISATIONS := false
endif

VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))

ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
  export DH_VERBOSE=1
endif

ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
  export DH_QUIET=1
.SILENT:
endif

# Build products or non-source files in src/, that shouldn't go in rust-src
SRC_CLEAN = src/bootstrap/bootstrap.pyc \
	src/bootstrap/__pycache__ \
	src/etc/__pycache__/

# Try to work around #933045
ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
endif

%:
	$(SYSTEM_WORKAROUNDS) dh $@ --parallel --with bash-completion

.PHONY: .dbg-windows
.dbg-windows:

## rustc 1.83.0%2Bdfsg1

=== debian/changelog ===
rustc (1.83.0+dfsg1-1) unstable; urgency=medium

  * upload to unstable
  * fix/ignore some test failures

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 04 Dec 2024 18:07:54 +0100

rustc (1.83.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * config: disable downloading LLVM from CI
  * blake3: adapt build.rs to skip bundled C code
  * remove libstd shared library

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 01 Dec 2024 16:53:12 +0100

## rustc 1.83.0+dfsg1

=== debian/changelog ===
rustc (1.83.0+dfsg1-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.
  [changes introduced in 1.42.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Use the compiler itself rather than dpkg to detect DEB_BUILD_RUST_TYPE
  [changes introduced in 1.57.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Disable testsuite for arch all builds as well.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 30 Jan 2025 22:53:27 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.81.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.81.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.82.0++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.82.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.82.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.83.0++)    <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <!nowindows>,
@@ -94,7 +94,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.82
+Package: libstd-rust-1.83
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -121,7 +121,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.82 (= ${binary:Version}),
+ libstd-rust-1.83 (= ${binary:Version}),
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly

## rustc 1.84.0+dfsg1

=== debian/changelog ===
rustc (1.84.0+dfsg1-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.
  [changes introduced in 1.42.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Use the compiler itself rather than dpkg to detect DEB_BUILD_RUST_TYPE
  [changes introduced in 1.57.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Disable testsuite for arch all builds as well.

 -- Peter Michael Green <plugwash@raspbian.org>  Wed, 05 Feb 2025 10:10:28 +0000

rustc (1.84.0+dfsg1-2) unstable; urgency=medium

  * revert upstream commit breaking cross builds
  * rust-llvm: ship symlink to llvm-objcopy instead of copy of binary

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 21 Jan 2025 11:38:15 +0100

rustc (1.84.0+dfsg1-1) unstable; urgency=medium

  * rust-analyzer: fix build on mips64el
  * fix hurd build (Closes: #1093125)
  * d/control: add Conflicts with rustup (Closes: #1093031)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 16 Jan 2025 20:46:05 +0100

rustc (1.84.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Stop building wasm32-wasi target
  * Build rust-analyzer (Closes: #1052319)
  * rust-llvm: ship rust-objcopy helper
  * rust-all: add rust-llvm and rust-analyzer packages

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 11 Jan 2025 16:04:50 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.82.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.82.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.83.0++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.83.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.83.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.84.0++)    <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <!nowindows>,
@@ -76,11 +76,7 @@
  rust-llvm,
 Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
 Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~),
-# temporary to force britney to not attempt bogus autopkgtest runs
- librust-cargo-c-dev (<< 0.10.3-1~),
- librust-git2-dev (<< 0.19.0-1~),
- librust-libgit2-sys-dev (<< 0.17.0-1~),
- librust-debcargo-dev (<< 2.7.1-2~),
+Conflicts: rustup
 Description: Rust systems programming language
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -94,12 +90,13 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.83
+Package: libstd-rust-1.84
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: rustup
 Description: Rust standard libraries
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -121,7 +118,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.83 (= ${binary:Version}),
+ libstd-rust-1.84 (= ${binary:Version}),
+Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -295,6 +293,9 @@
 Package: rust-src
 Architecture: all
 Depends: ${misc:Depends}
+Conflicts: rustup
 Description: Rust systems programming language - source code
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
+ in syntactic and semantic details.  Its design is oriented toward
+ concerns of "programming in the large", that is, of creating and

=== debian/rules ===
--- 
+++ 
@@ -146,8 +146,7 @@
 endif
 
 BUILD_WASM := true
-# NOTE: drop wasm32-wasi with next upstream version, it's deprecated and will be removed soon
-WASM_TARGETS := "wasm32-unknown-unknown,wasm32-wasip1,wasm32-wasip2,wasm32-wasi"
+WASM_TARGETS := "wasm32-unknown-unknown,wasm32-wasip1,wasm32-wasip2"
 ifneq (,$(findstring nowasm,$(DEB_BUILD_PROFILES)))
   BUILD_WASM := false
 endif
@@ -207,3 +206,7 @@
 
 .PHONY: .dbg-windows
 .dbg-windows:
+	@echo host=$(DEB_BUILD_ARCH) target=$(DEB_HOST_ARCH) BUILD_WINDOWS=$(BUILD_WINDOWS) WINDOWS_ARCH=$(WINDOWS_ARCH)
+
+.PHONY: build
+build:

## rustc 1.85.0%2Bdfsg3

=== vendor/sysinfo-0.31.4/Makefile ===
#
# Sysinfo
#
# Copyright (c) 2017 Guillaume Gomez
#

#
# Please note that this Makefile only generates the c example.
#

IDIR = ./src
CC = gcc
CFLAGS = -I$(IDIR)

ODIR = examples/
LDIR = ./target/debug/
LDIR-RELEASE = ./target/release/

LIBS = -lsysinfo -lpthread

_DEPS = sysinfo.h
DEPS = $(patsubst %,$(IDIR)/%,$(_DEPS))

_OBJ = simple.o
OBJ = $(patsubst %,$(ODIR)/%,$(_OBJ))


simple: $(OBJ)
	@echo "Compiling in debug mode"
	cargo rustc --features=c-interface --crate-type cdylib
	gcc -o $@ $^ $(CFLAGS) -L$(LDIR) $(LIBS)

release: $(OBJ)
	@echo "Compiling in release mode"
	cargo rustc --features=c-interface --release --crate-type cdylib
	gcc -o simple $^ $(CFLAGS) -L$(LDIR-RELEASE) $(LIBS)

$(ODIR)/%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

.PHONY: simple

clean:
	@echo "Cleaning mess"
	rm -f $(ODIR)/*.o *~ core $(INCDIR)/*~

## rustc 1.85.0+dfsg1

=== debian/changelog ===
rustc (1.85.0+dfsg1-1) unstable; urgency=medium

  * New (stable) upstream release.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 20 Feb 2025 19:23:02 +0100

rustc (1.85.0~beta.9+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release 1.85.0~beta999
  * build docs with -j1 to make them reproducible
  * build: make windows libstd build opt-in

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 17 Feb 2025 13:24:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.83.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.83.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.84.0++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.84.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.84.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.85.0+dfsg++)    <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
- gcc-mingw-w64-x86-64-posix:native [amd64] <!nowindows>,
- gcc-mingw-w64-i686-posix:native [i386] <!nowindows>,
+ gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
+ gcc-mingw-w64-i686-posix:native [i386] <pkg.rustc.windows>,
  libllvm19 (>= 1:19.0.0),
  libclang-rt-19-dev:native,
  libclang-rt-19-dev,
@@ -53,8 +53,8 @@
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
- wasi-libc (>= 0.0~git20240708.3f43ea9~~) <!nowasm>,
- wasi-libc (<= 0.0~git20240708.3f43ea9++) <!nowasm>,
+ wasi-libc (>= 0.0~git20241209.574b88d~~) <!nowasm>,
+ wasi-libc (<= 0.0~git20241209.574b88d++) <!nowasm>,
  clang-19:native,
 # see #1057780, gdb now Conflicts gdb-minimal
 #Build-Conflicts: gdb-minimal <!nocheck>
@@ -90,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.84
+Package: libstd-rust-1.85
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -118,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.84 (= ${binary:Version}),
+ libstd-rust-1.85 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
@@ -145,7 +145,7 @@
 Recommends:
  gcc-mingw-w64-x86-64-posix [amd64],
  gcc-mingw-w64-i686-posix [i386],
-Build-Profiles: <!nowindows>
+Build-Profiles: <pkg.rustc.windows>
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -298,4 +298,3 @@
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
  in syntactic and semantic details.  Its design is oriented toward
- concerns of "programming in the large", that is, of creating and

## rustc 1.85.0+dfsg2

=== debian/changelog ===
rustc (1.85.0+dfsg2-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.
  [changes introduced in 1.42.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Use the compiler itself rather than dpkg to detect DEB_BUILD_RUST_TYPE
  [changes introduced in 1.57.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Disable testsuite for arch all builds as well.
  [changes introduced in 1.85.0+dfsg2-2+rpi1 by Peter Michael Green]
  * Cherry pick upstream fixes for documentation build on arm32.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 08 Apr 2025 21:31:21 +0000

rustc (1.85.0+dfsg2-2) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 04 Apr 2025 18:24:50 +0200

rustc (1.85.0+dfsg2-1) experimental; urgency=medium

  * d/control: bump libgit2-dev version
  * vendor git2, git2-curl and libgit2-sys bindings for libgit2 1.9
  * cargo: bump git2* dependencies

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 17 Mar 2025 06:54:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,10 @@
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
-RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
+RUSTBUILD_COMMON = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py
+RUSTBUILD = $(RUSTBUILD_COMMON) $(NJOBS)
+# force reproducibility
+RUSTBUILD_DOCS = $(RUSTBUILD_COMMON) -j1
 RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
 # rust-tidy depends on lots of modules that we strip out of the build.
 # it also tries to access the network for some reason. so just disable it.
@@ -152,16 +155,16 @@
 endif
 
 WINDOWS_SUPPORT := amd64 i386
-BUILD_WINDOWS := true
-ifneq (,$(findstring nowindows,$(DEB_BUILD_PROFILES)))
-  BUILD_WINDOWS := false
+BUILD_WINDOWS := false
+ifneq (,$(findstring pkg.rustc.windows,$(DEB_BUILD_PROFILES)))
+  BUILD_WINDOWS := true
 endif
 ifeq (,$(filter $(DEB_HOST_ARCH), $(WINDOWS_SUPPORT)))
   BUILD_WINDOWS := false
 else
   ifeq (,$(filter $(DEB_BUILD_ARCH), $(WINDOWS_SUPPORT)))
     ifeq (true,$(BUILD_WINDOWS))
-      $(error cannot cross-compile from $(DEB_BUILD_ARCH) to $(DEB_HOST_ARCH), unless "nowindows" is in DEB_BUILD_PROFILES)
+      $(error cannot cross-compile from $(DEB_BUILD_ARCH) to $(DEB_HOST_ARCH) with "pkg.rustc.windows" in DEB_BUILD_PROFILES)
     endif
   endif
   ifeq (i386,$(DEB_HOST_ARCH))
@@ -206,7 +209,3 @@
 
 .PHONY: .dbg-windows
 .dbg-windows:
-	@echo host=$(DEB_BUILD_ARCH) target=$(DEB_HOST_ARCH) BUILD_WINDOWS=$(BUILD_WINDOWS) WINDOWS_ARCH=$(WINDOWS_ARCH)
-
-.PHONY: build
-build:

## rustc 1.85.0+dfsg3

=== build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = output

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest dist-html site-mako

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dist-html  same as html, but places files in /doc"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html -A mako_layout=html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dist-html:
	$(SPHINXBUILD) -b html -A mako_layout=html $(ALLSPHINXOPTS) ..
	@echo
	@echo "Build finished.  The HTML pages are in ../."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SQLAlchemy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SQLAlchemy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SQLAlchemy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SQLAlchemy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	cp texinputs/* $(BUILDDIR)/latex/
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) .
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
rustc (1.85.0+dfsg3-1) unstable; urgency=medium

  * backport fix for gix-features CVE-2025-31130
  * rust-lldb: fix lldb version (Closes: #1100950)
  * cherry-pick fix for crossbeam-channel RUSTSEC-2025-0024

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 24 Apr 2025 17:47:57 +0200

rustc (1.85.0+dfsg2-3) unstable; urgency=medium

  * baseline: enable SSE2 for i386 build (Closes: #1095862)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 11 Apr 2025 13:40:09 +0200

=== debian/control ===
--- 
+++ 
@@ -38,8 +38,8 @@
  libssh2-1-dev,
  libssl-dev,
  libsqlite3-dev,
- libgit2-dev (>= 1.8.1),
- libgit2-dev (<< 1.9~~),
+ libgit2-dev (>= 1.9),
+ libgit2-dev (<< 1.10~~),
  libhttp-parser-dev,
  libonig-dev,
 # test dependencies:

## rustc 1.86.0%2Bdfsg1

=== debian/changelog ===
rustc (1.86.0+dfsg1-1) unstable; urgency=medium

  * upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 10 Aug 2025 10:56:06 +0200

rustc (1.86.0+dfsg1-1~exp4) experimental; urgency=medium

  * ppc64: downgrade baseline to Power4+ (Closes: #1110059)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 04 Aug 2025 18:03:21 +0200

rustc (1.86.0+dfsg1-1~exp3) experimental; urgency=medium

  * fix bswap codegen test broken on some 64-bit architectures
  * fix x32 bootstrap (Closes: #1109669)
  * d/rules: allow ~exp version and 'unreleased' distribution
  * d/copyright: update FSF address
  * cargo wrapper: support 'terse' DEB_BUILD_OPTION (Closes: #1103509)
  * d/rules: properly cleanup after build (Closes: #1048141)
  * d/rules: don't configure twice in arch+indep build
  * d/rules: replace libzlma-sys hack with patch

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 22 Jul 2025 22:20:24 +0200

rustc (1.86.0+dfsg1-1~exp2) experimental; urgency=medium

  * install: drop generated copyright/licenses
  * build: move non-release archs to highest test fail category
  * fix another broken test

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 03 Jun 2025 13:05:55 +0200

rustc (1.86.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * config: set ninja and lld to false
  * patches: re-add accidentally dropped hunk of gitoxide patch
  * mdbook: cherry-pick upstream fix for error-index book
  * prune: also prune input list for generating copyright information
  * rust-docs: install upstream copyright and license files

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 13 May 2025 10:11:12 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.84.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.84.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.85.0+dfsg++)    <!pkg.rustc.dlstage0>,
+ cargo:native (>= 1.85.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.85.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.86.0++)    <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <pkg.rustc.windows>,
@@ -90,7 +90,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.85
+Package: libstd-rust-1.86
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -118,7 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.85 (= ${binary:Version}),
+ libstd-rust-1.86 (= ${binary:Version}),
 Conflicts: rustup
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
